'use client';
import { useEffect } from 'react';
import { useRouter } from 'next/navigation';
import { account } from './lib/appwrite';

export default function Home() {
  const router = useRouter();

  useEffect(() => {
    const checkSession = async () => {
      try {
        await account.get(); // Check if session exists
        router.replace('/pages/dashboard'); // Redirect if logged in
      } catch {
        router.replace('/login'); // Redirect to login if no session
      }
    };
    checkSession();
  }, []);

  return null; // No content, just redirection
}
