import { Client, Account, Databases, Query } from "appwrite";

const client = new Client()
  .setEndpoint("https://cloud.appwrite.io/v1")
  .setProject("67e1445400053dca1d9b");

const account = new Account(client);
const databases = new Databases(client);

export async function getCurrentUserWithRole() {
  try {
    const user = await account.get();
    
    if (!user || !user.$id) {
      throw new Error("User not authenticated");
    }

    const dbId = "67e1452b00016444b37f";
    const collectionId = "67f0f1200006897dc192";

    const response = await databases.listDocuments(dbId, collectionId, [
      Query.equal("userId", user.$id),
    ]);

    const userDoc = response.documents[0];

    return {
      $id: user.$id, // Make sure to include this
      name: user.name,
      email: user.email,
      role: userDoc?.role || "unknown",
      // Include the document ID if needed
      docId: userDoc?.$id
    };
  } catch (error) {
    console.error("Error fetching user with role:", error);
    throw error; // Throw instead of returning null
  }
}